## org.eclipse.jetty.annotations
Class AnnotationIntrospector

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector

    public class AnnotationIntrospector

extends Object

AnnotationIntrospector

Nested Class Summary
`static class` `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler` AbstractIntrospectableAnnotationHandler Base class for handlers that introspect a class to find a particular annotation.
`static interface` `AnnotationIntrospector.IntrospectableAnnotationHandler` IntrospectableAnnotationHandler Interface for all handlers that wish to introspect a class to find a particular annotation

Field Summary
`protected List<AnnotationIntrospector.IntrospectableAnnotationHandler>` `_handlers`

Constructor Summary
`AnnotationIntrospector()`

Method Summary
`void` `introspect(Class clazz)`
`void` `registerHandler(AnnotationIntrospector.IntrospectableAnnotationHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _handlers

    protected List<AnnotationIntrospector.IntrospectableAnnotationHandler> _handlers

Constructor Detail

### AnnotationIntrospector

    public AnnotationIntrospector()

Method Detail

### registerHandler

    public void registerHandler(AnnotationIntrospector.IntrospectableAnnotationHandler handler)

### introspect

    public void introspect(Class clazz)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.